.service-hero {
  position: relative;
  padding: 7em 0;
  overflow: hidden;
  mask-image: linear-gradient(to top, transparent, black 20%);
  @media (width<699px) {
    padding: 5em 0;
    mask-image: linear-gradient(to top, transparent, black 10%);
  }
}
.service-hero .container.grid-sm {
  place-items: center;
  gap: 2em;
}
.service-page-eyebrow {
  color: #2bd4bd;
  font-size: 1.65rem;
  font-weight: 500;
}
.service-headline {
  font-size: 3rem;
  display: block;
  max-width: 700px;
  width: 100%;
  padding: 0 1em;
  @media (width<699px) {
    padding: 0 0.5em;
  }
}
.service-supporting-line {
  font-size: 1.85rem;
  color: rgba(255, 255, 255, 0.85);
  display: inline-block;
  max-width: 700px;
  width: 100%;
}
.service-page-eyebrow,
.service-headline,
.service-supporting-line {
  text-align: center;
}

/*service-solution*/

.service-solution {
  position: relative;
  overflow: hidden;
}
.service-solution::before {
  content: "";
  position: absolute;
  inset: 0;
  z-index: -1;
  background: url(../images/services/COLOR-BLUR.svg) no-repeat left;
  background-size: cover;
  mask-image: linear-gradient(transparent, black, transparent);
  overflow: hidden;
  opacity: 0.75;
  filter: blur(5px);
}
.service-solution::after {
  content: "";
  position: absolute;
  inset: 0;
  z-index: -1;
  background-image: linear-gradient(
    to top,
    #00002c,
    #020830,
    #030f33,
    #041437,
    #07183b,
    #07183b,
    #07183b,
    #07183b,
    #041437,
    #030f33,
    #020830,
    #00002c
  );
  mask-image:
    linear-gradient(235deg, transparent, black, transparent),
    linear-gradient(30deg, transparent, black, transparent);
  overflow: hidden;
}
.s-solution-headline {
  font-size: 4rem;
  color: #6889fc;
  display: block;
  margin: 1em;
  line-height: 1.05;
}
.s-solution-headline span {
  font-size: 1.65rem;
  color: #c8d4fa;
  letter-spacing: 1px;
  margin-left: -0.5em;
}
.s-solution-supporting-line {
  font-size: 1.85rem;
  font-weight: 400;
  max-width: 700px;
  opacity: 0.85;
}
.solution-listing-wrap {
  padding: 2em 5em;
  @media (width<699px) {
    padding: 2em 0em;
  }
}
.service-solution .solution-listings {
  gap: 20px;
}
.solution-item {
  background: linear-gradient(90deg, #003cff80, transparent 80%);
  padding: 1.6em 0.8em;
  border-radius: 16px;
  gap: 20px;
  @media (width<699px) {
    background: linear-gradient(90deg, #003cff80, transparent 100%);
  }
}
.solution-item:nth-child(1) {
  background: linear-gradient(90deg, #003cff80, transparent 80%);
  @media (width<699px) {
    background: linear-gradient(90deg, #003cff80, transparent 100%);
  }
}
.solution-item:nth-child(2) {
  background: linear-gradient(90deg, #2dd4bf80, transparent 85%);
  @media (width<699px) {
    background: linear-gradient(90deg, #2dd4bf80, transparent 100%);
  }
}
.solution-item:nth-child(3) {
  background: linear-gradient(90deg, #326ba8, transparent 90%);
  @media (width<699px) {
    background: linear-gradient(90deg, #2dd4bf80, transparent 100%);
  }
}
.solution-item:nth-child(4) {
  background: linear-gradient(90deg, #51068a, transparent 100%);
  @media (width<699px) {
    background: linear-gradient(90deg, #003cff80, transparent 100%);
  }
}
.solution-item-num {
  width: 50px;
  background: rgba(0, 0, 0, 0.25);
  background-position: center;
  background-size: 100% 100%;
  position: relative;
  z-index: 1;
  padding: 1em;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 6px;
  gap: 10px;
  opacity: 0.75;
}
.solution-item-num span {
  font-size: 3rem;
  font-weight: 700;
  font-family: "Oxanium", sans-serif;
}
.solution-item-num::before {
  position: absolute;
  content: "";
  inset: 0;
  border: 2px solid transparent;
  border-radius: 6px;
  background:
    linear-gradient(transparent 0 0) padding-box,
    linear-gradient(to left, transparent, rgba(255, 255, 255, 0.5), transparent)
      border-box;
  mask:
    linear-gradient(45deg, #000 0 0) padding-box,
    linear-gradient(to left, #000 0 0);
  mask-composite: exclude;
  z-index: -1;
}
.solution-item p {
  font-size: 2.25rem;
  font-weight: 500;
}
.service-solution-side-image {
  display: flex;
  width: 100%;
  height: 100%;
  justify-content: center;
  align-items: center;
  padding: 4em;
  margin-top: -3em;
  @media (width<699px) {
    padding: 1em 0;
  }
}
.service-solution-side-image img {
  display: block;
  width: 100%;
  height: 90%;
  object-fit: conatin;
  animation: sss_img 2s both infinite ease-in-out;
}
@keyframes sss_img {
  0% {
    transform: translateY(5px);
    filter: drop-shadow(0 0 5px #003cff1c);
  }
  50% {
    transform: translateY(0px);
    filter: drop-shadow(0 0 5px #00b5b280);
  }
  100% {
    transform: translateY(5px);
    filter: drop-shadow(0 0 5px #003cff1c);
  }
}
.s-solution-cta {
  position: relative;
  background-color: #00056e1c;
  border: 1px solid #00056e80;
  border-radius: 32px;
  padding: 4em;
  z-index: 1;
  @media (width<699px) {
    padding: 3em 2em;
  }
}
.s-solution-cta::before {
  position: absolute;
  content: "";
  inset: 0;
  background: url(../images/services/Hexagon.svg) no-repeat center/cover;
  background-color: #00056e1c;
  border-radius: 32px;
  filter: blur(3px);
  z-index: -1;
}
.s-solution-cta p {
  font-size: 1.85rem;
  max-width: 600px;
  width: 100%;
  height: 100%;
}
.s-solution-cta a {
  display: block;
  margin-left: auto;
  padding: 1em 1.5em;
  font-size: 1.65rem;
  font-weight: 400;
  background: linear-gradient(135deg, #023c75, #020a75);
  border: none;
  color: #f9f9f9;
  border-radius: 6px;
  position: relative;
  z-index: 1;
  overflow: hidden;
  opacity: 1;
  filter: contrast(1);
  transition:
    opacity 0.25s ease,
    filter 0.25s ease;
}
.s-solution-cta a::before {
  position: absolute;
  content: "";
  inset: 0;
  border: 2px solid transparent;
  background:
    linear-gradient(transparent 0 0) padding-box,
    linear-gradient(to left, #52d2f2, #52f292) border-box;
  mask:
    linear-gradient(45deg, #000 0 0) padding-box,
    linear-gradient(to left, #000 0 0);
  mask-composite: exclude;
  border-radius: 6px;
  z-index: -1;
  padding: 1em;
}
.s-solution-cta a:hover,
.s-solution-cta a:active {
  filter: contrast(1.2);
  opacity: 0.85;
}

/*Service Offer*/

.service-offer {
  padding: 1em;
  height: auto;
}
.service-offer .container.grid-sm {
  width: 100%;
  border-radius: 64px;
  overflow: hidden;
  position: relative;

  background: linear-gradient(
    160deg,
    rgba(102, 102, 102, 0.24) 0%,
    rgba(0, 0, 0, 0.24) 100%
  );

  box-shadow: inset -2px 2px 28px rgba(255, 255, 255, 0.1);
  backdrop-filter: blur(25px);
}
.service-offer .container.grid-sm::before {
  content: "";
  position: absolute;
  inset: 0 auto 0 0;
  width: 40%;

  background: linear-gradient(45deg, #0c23a480 0%, rgba(0, 0, 0, 0) 40%);

  pointer-events: none;
  z-index: -1;
  @media (width<899px) {
    width: 100%;
  }
}
.s-o-left {
  padding: 1em 1.5em;
}
.s-o-left h2 {
  font-size: 4rem;
}
.s-o-left p {
  font-size: 1.75rem;
  max-width: 400px;
}
.s-o-right {
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}
.s-o-right img {
  width: 100%;
  height: 100%;
  display: block;
  object-fit: contain;
}

/*-------- Why to choose us ---------*/
.choose-matracode {
  background: rgba(255, 255, 255, 0.05);
  position: relative;
  width: 100%;
  height: auto;
  overflow: hidden;
}
.choose-matracode::before {
  content: "";
  inset: 0;
  position: absolute;
  z-index: -1;
  background: url(../images/services/cccircular.svg) no-repeat right/cover;
  overflow: hidden;
  background-position: bottom;
  opacity: 0.45;
}
.choose-matracode h2 {
  font-size: 4rem;
}
.choose-matracode p {
  font-size: 1.85rem;
  opacity: 0.95;
  max-width: 700px;
  width: 100%;
}
.c-m-grid {
  row-gap: 7em;
  column-gap: 5em;
  justify-items: center;
  @media (width<699px) {
    row-gap: 3em;
    column-gap: 0em;
  }
}
.c-m-item {
  gap: 20px;
}
.item-icon {
  background: url(../images/services/icon-gradient.svg) no-repeat;
  background-size: cover;
  background-position: center;
  width: 80px;
  height: 80px;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 0;
}
.item-icon span {
  font-size: 60px;
}
.c-m-item h6 {
  font-size: 1.85rem;
  font-weight: 400;
  margin-top: 0.2em;
}
.c-m-item p {
  font-size: 1.45rem;
  opacity: 0.75;
  max-width: 300px;
  width: 100%;
}

/*---- Case Studies ----*/
.s-case-studies {
  overflow: hidden;
}
.s-case-studies h2 {
  font-size: 4rem;
  color: #6889fc;
  display: block;
  margin: 1em;
  line-height: 1.05;
}
.s-case-studies span {
  font-size: 1.65rem;
  color: #c8d4fa;
  letter-spacing: 1px;
  margin-left: -0.5em;
}
.cs-card-grid {
  gap: 2em;
}
.cs-card {
  position: relative;
  border: none;
  border-radius: 40px;
  padding: 5em 2em;
  cursor: pointer;
  background: linear-gradient(215deg, transparent, rgba(255, 255, 255, 0.05));
  transition: background 0.25s linear;
  z-index: 1;
  @media (width<899px) {
    padding: 3em;
  }
}
.cs-card::before {
  position: absolute;
  content: "";
  border: 2px solid transparent;
  border-left-width: 0px;
  border-radius: 40px;
  inset: 0;
  background:
    linear-gradient(transparent 0 0) padding-box,
    linear-gradient(to left, rgba(255, 255, 255, 0.095), transparent) border-box;
  mask:
    linear-gradient(45deg, #000 0 0) padding-box,
    linear-gradient(to left, #000 0 0);
  mask-composite: exclude;
  z-index: -1;
}

.cs-card:hover {
  background: linear-gradient(215deg, transparent, rgba(255, 255, 255, 0.15));
}
.cs-card-text-content {
  padding: 2px;
  @media (width<899px) {
    order: 1;
  }
}
.cs-card-text-content h6 {
  font-size: 2rem;
  font-weight: 400;
  margin-bottom: 0.5em;
}
.cs-card-text-content p {
  font-size: 1.65rem;
  font-weight: 200;
}
.cs-card-image {
  width: 200px;
  height: auto;
  background: rgba(0, 0, 0, 0.24);
  border-radius: 8px;
  @media (width<899px) {
    width: 100%;
    order: -1;
  }
}
.cs-card-image img {
  width: 100%;
  height: 100%;
  display: block;
  object-fit: cover;
  overflow: hidden;
  border-radius: 8px;
}
.s-case-studies-cta {
  margin: 0 auto;
  color: #c8d4fa;
  font-size: 1.85rem;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 0.5em;
  border-bottom: 1px solid transparent;
  transition: border 0.25s ease;
}
.s-case-studies-cta span {
  background: rgba(255, 255, 255, 0.15);
  font-size: 1.85rem;
  display: flex;
  justify-content: center;
  align-items: center;
  padding: 0.075em 0.005em 0 0.075em;
  margin: 0;
  border-radius: 4px;
  letter-spacing: 0px;
  margin: 0;
  font-weight: 500;
}
.s-case-studies-cta:hover {
  border-bottom-color: #c8d4fa;
}
/*---- Technologies --------*/
.s-tech-stack {
  background: url(../images/services/tech-stack-bg.svg) no-repeat center;
  background-size: cover;
  display: block;
  position: relative;
}
.s-tech-stack::before {
  content: "";
  position: absolute;
  background: url(../images/services/tech-stack-illustrator-bg.svg) no-repeat;
  background-position: center;
  background-size: cover;
  display: block;
  inset: 0;
  z-index: -1;
  @media (width<699px) {
    background-position: right;
  }
}
.s-tech-stack h2 {
  font-size: 4rem;
  font-weight: 400;
  margin-bottom: 0.2em;
  font-style: italic;
  opacity: 0.95;
}
.s-tech-stack p {
  font-size: 1.85rem;
  max-width: 450px;
  font-weight: 400;
  opacity: 0.85;
}
.tech-items-wrap {
  font-size: 1.75rem;
  list-style: none;
  gap: 20px;
  padding: 1em;
  letter-spacing: 1px;
  @media (width<699px) {
    font-size: 1.65rem;
    padding: 0.35em;
  }
}
.tech-item {
  background: rgba(255, 255, 255, 0.095);
  background-position: center;
  background-size: 100% 100%;
  position: relative;
  z-index: 1;
  padding: 1em;
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 16px;
  gap: 10px;
}
.tech-item:before {
  position: absolute;
  content: "";
  inset: 0;
  border: 2px solid transparent;
  border-radius: 16px;
  background:
    linear-gradient(transparent 0 0) padding-box,
    linear-gradient(to left, transparent, rgba(255, 255, 255, 0.5), transparent)
      border-box;
  mask:
    linear-gradient(45deg, #000 0 0) padding-box,
    linear-gradient(to left, #000 0 0);
  mask-composite: exclude;
  z-index: -1;
}
.tech-item img {
  display: block;
  width: 24px;
  height: 24px;
}
